 <?php 
 require_once("../header.php");
 include_once("../php/config.php");
 ?>
 <div class="container-fluid">
 
 <div class="row">
	<div class="col-md-4"></div>
      <div class="col-md-4">
          <h3 class="text-success"><i class="fa fa-w fa-file-invoice-dollar"></i> Registrar movimiento de cuenta</h3>
		<hr>
		
		
		
		
		
		
		
		<form action="" method="POST" name="frm" id="frm">
<input type="hidden" id="usuario" name="usuario">
<input type="hidden" id="balance" name="balance">
<input type="hidden" id="nbalance" name="nbalance">

			<div class="row">
                        <div class="col-md-3">
                            <b>Cuenta</b>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="cuenta" name="cuenta" onchange="getCuenta(this.value)">

                                <option value="" selected disabled>Sel. cuenta</option>
                                <?php $sql2 = mysql_query("select * from cuentas")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['numero_cuenta'] ?>">(<?php echo $r['numero_cuenta'] ?>)<?php echo $r['descripcion'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
         </div>


			<div class="row mb-2">
				<div class="col-md-3">
					<b>Tipo movimiento</b>
				</div>
				<div class="col-md-9">
					<select id="tipo" name="tipo" class="form-control">
						<option value="Deposito">Deposito</option>
						<option value="Retiro">Retiro</option>
						<option value="Credito">Nota de credito</option>
						<option value="Debito">Nota de debito</option>
						<option value="Ingreso">Ingreso resstableser balance</option>
						<option value="Egreso">Egreso resstableser balance</option>
					</select>
				</div>
			</div>
			<div class="row mb-2">
			<div class="col-md-3">
					<b>Monto</b>
				</div>
				<div class="col-md-9">
					<input type="number" id="monto" name="monto" class="form-control">
				</div>
			</div>	
			
		<div class="row mb-2">
			<div class="col-md-3">
					<b>Concepto</b>
				</div>
				<div class="col-md-9">
					<input type="text" id="concepto" name="concepto" class="form-control">
				</div>
			</div>	

		  	<a href="movimientos_cuenta.php" class="btn btn-md btn-default mb-2" name="btn-salir" id="btn-salir"><i class="fa fa-file-medical-alt"></i> Cancelar</a>

			<button class="btn btn-md btn-success mb-2" name="btn-grabar" id="btn-grabar" onClick="grabar()"><i class="fa fa-plus"></i> Grabar movimiento</button>
		<br><br>
		

		</form>

 
      </div>
    </div>
    
        </div>
<?php
 require_once("../footer.php");   
?>		
   

	
<script>

$(function(){
	$(".form-control").on("keyup", function(){
		balance();
	})
})

$("#btn-grabar").on("click", function(){
		$("#btn-grabar").hide()
	})
function balance(){
	var balance = $("#balance").val()
	var tipo = $("#tipo").val()
	var monto = $("#monto").val()
	var nbalance = balance;
	
	if(tipo=="Deposito" || tipo=="Credito" || tipo=="Ingreso"){
		nbalance = parseFloat(balance) + parseFloat(monto);
	}else{
		nbalance = parseFloat(balance) - parseFloat(monto);
		
	}
	$("#nbalance").val(nbalance);
}


$("#usuario").val(myUser)
 function getCuenta(id) {
    var sql = "select * from cuentas where numero_cuenta='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
	    
        for (var i in rs.data) {
		  $("#balance").val(rs.data[i].balance);	
		$("#nbalance").val(rs.data[i].balance);
		$("#btn-grabar").show()
        }

      })
  }
$("#btn-grabar").on("click", function(){
		$("#btn-grabar").hide()
	})
	
$("#frm").on("submit", function(e){
    e.preventDefault();
    grabar()
})
$("#btn-grabar").hide()

  function grabar(){
     if(!confirm("Seguro(a) que desea registrar este movimiento?")){return;}                   
     var nbalance = $("#nbalance").val();
     var cuenta = $("#cuenta").val();
     var tipo = $("#tipo").val();
     var monto = $("#monto").val();
     var concepto = $("#concepto").val();
     if(cuenta=="" || tipo=="" || monto=="" || concepto==""){alert('Faltan datos'); return}
      
            var sql="";                            
            sql="INSERT INTO movimientos_cuenta set ";
            sql+=" cuenta='"+cuenta+"'";
            sql+=", monto='"+monto+"'";
            sql+=", tipo='"+tipo+"'";
            sql+=", concepto='"+concepto+"'";
			sql+=", balance='"+nbalance+"'";
            sql+=", fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", usuario='"+myUser+"'";
            
         
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
	  update_cuenta(cuenta)
        
    })
}


function update_cuenta(cuenta){
	var nbalance = $("#nbalance").val();
	var sql = "update cuentas set balance='"+nbalance+"' where numero_cuenta='"+cuenta+"'";
	_enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
	if(data=="1"){
        $(".modal").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
        setTimeout(function(){
            window.location.reload();
        },2000)

      }else{
          alert(data);
          
      }
	})
}

         
        </script>